Show / Hide Table of Contents

# Struct AgentInspect.ItemData

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ItemData

### Fields

| Improve this Doc View Source

#### Color

##### Declaration

    public AgentInspect.ItemData.ColorRGB Color

##### Field Value

Type | Description
--- | ---
AgentInspect.ItemData.ColorRGB |

| Improve this Doc View Source

#### Filled

##### Declaration

    public bool Filled

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IconFlags1

##### Declaration

    public AgentInspect.ItemData.IconFlagsTopRight IconFlags1

##### Field Value

Type | Description
--- | ---
AgentInspect.ItemData.IconFlagsTopRight |

| Improve this Doc View Source

#### IconID

##### Declaration

    public uint IconID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### IsILevelSynced

##### Declaration

    public bool IsILevelSynced

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Item

##### Declaration

    public InventoryItem*Item

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### ModelMain

##### Declaration

    public short *ModelMain

##### Field Value

Type | Description
--- | ---
System.Int16* |

| Improve this Doc View Source

#### ModelSub

##### Declaration

    public short *ModelSub

##### Field Value

Type | Description
--- | ---
System.Int16* |